Codevisor Server
Api reference

POST Harnesses Rescan

POST/v1/harnesses/rescan

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/harnesses/rescan"
[  {    "id": "string",    "name": "string",    "symbolName": "string",    "source": "string",    "launchKind": "executable",    "enabled": true,    "desiredEnabled": true,    "readiness": {      "state": "ready",      "detail": "string"    },    "auth": {      "state": "checking",      "activeAccountId": "string",      "accounts": [        {          "id": "string",          "harnessId": "string",          "profileKind": "default",          "label": "string",          "email": "string",          "organizationId": "string",          "authMethod": "string",          "authState": "checking",          "isActive": true,          "canLogin": true,          "canLogout": true,          "lastCheckedAt": "string",          "detail": "string"        }      ],      "loginMethods": [        {          "id": "string",          "name": "string",          "description": "string",          "kind": "browser"        }      ],      "supportsMultipleAccounts": true,      "detail": "string"    },    "installHint": "string"  }]
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}